com::lomiri::location::service::Skeleton::Configuration Struct Reference

`#include <skeleton.h>`

Collaboration diagram for com::lomiri::location::service::Skeleton::Configuration:

## Public Attributes

core::dbus::Bus::Ptr | incoming
core::dbus::Bus::Ptr | outgoing
CredentialsResolver::Ptr | credentials_resolver
ObjectPathGenerator::Ptr | object_path_generator
PermissionManager::Ptr | permission_manager

## Detailed Description

Definition at line 107 of file service/skeleton.h.

## Member Data Documentation

## credentials_resolver

CredentialsResolver::Ptr com::lomiri::location::service::Skeleton::Configuration::credentials_resolver

Definition at line 115 of file service/skeleton.h.

## incoming

core::dbus::Bus::Ptr com::lomiri::location::service::Skeleton::Configuration::incoming

Definition at line 110 of file service/skeleton.h.

## object_path_generator

ObjectPathGenerator::Ptr com::lomiri::location::service::Skeleton::Configuration::object_path_generator

Definition at line 117 of file service/skeleton.h.

## outgoing

core::dbus::Bus::Ptr com::lomiri::location::service::Skeleton::Configuration::outgoing

Definition at line 112 of file service/skeleton.h.

## permission_manager

PermissionManager::Ptr com::lomiri::location::service::Skeleton::Configuration::permission_manager

Definition at line 119 of file service/skeleton.h.

The documentation for this struct was generated from the following file:

- service/skeleton.h